%global _name decorator
%global _description The goal of the decorator module is to make it easy to define signature-preserving \
function decorators and decorator factories. It also includes an implementation of multiple dispatch and \
other niceties (please check the docs).  

Name:       python-%{_name}
Version:    4.4.2
Release:    1
Summary:    Simplify the signature-preserving function decorators and decorator factories
License:    BSD
URL:        https://github.com/micheles/decorator
Source0:    https://github.com/micheles/decorator/archive/%{version}.tar.gz#/%{_name}-%{version}.tar.gz
BuildArch:  noarch

%description
%{_description}

%package -n python2-decorator
Summary: %{summary} in python2
BuildRequires: python2-devel python2-setuptools
%{?python_provide:%python_provide python2-decorator}

%description -n python2-decorator
%{_description}

%package -n python3-decorator
Summary: %{summary} in python3
BuildRequires: python3-devel python3-setuptools
%{?python_provide:%python_provide python3-decorator}

%description -n python3-decorator
%{_description}

%package_help

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{_name}
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/*

%files -n python3-%{_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*info/
%{python3_sitelib}/*.py

%files help
%doc CHANGES.md

%changelog
* Fri Aug 28 2020 SimpleUpdate Robot <tc@openeuler.org> - 4.4.2-1
- Upgrade to version 4.4.2

* Mon Aug 03 2020 Leo Fang<leofang_94@163.com> - 4.3.2-1
- Upgrade to version 4.3.2

* Tue Dec 31 2019 Yeqing Peng<pengyeqing@huawei.com> - 4.3.0-3
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:update source code

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.3.0-2
- Package init
